post
https://sandbox.saner.secpod.com/AncorWebService/perform
Update an existing organization's details.
This method allows you to update an organization's information in Saner Server. It requires the name of the organization to be updated and all other details.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| name | Name of the organization to be updated. | Yes | string |
| newname | New organization name (use to update organization name itself). | No | string |
| Updated organization email address. | No | string | |
| numberofsubscriptions | Updated number of subscriptions (expected integer). | No | string |
| enddate | Updated organization end (expiry) date in format yyyy-mm-dd. | No | string |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.platform import PlatformClient
client = PlatformClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response = client.Organization.update(
name="OrgName",
newname="NewOrgName"
)
print(response)
client.close()Requires Python 3.9 or later.